package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaInsuranceTemplate;
import com.ruoyi.oa.domain.vo.OaInsuranceTemplateVo;
import com.ruoyi.oa.domain.bo.OaInsuranceTemplateBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 社保/公积金模板主Service接口
 *
 * @author ruoyi
 * @date 2025-06-23
 */
public interface IOaInsuranceTemplateService {

    /**
     * 查询社保/公积金模板主
     */
    OaInsuranceTemplateVo queryById(Long insuranceTemplateId);

    /**
     * 查询社保/公积金模板主列表
     */
    TableDataInfo<OaInsuranceTemplateVo> queryPageList(OaInsuranceTemplateBo bo, PageQuery pageQuery);

    /**
     * 查询社保/公积金模板主列表
     */
    List<OaInsuranceTemplateVo> queryList(OaInsuranceTemplateBo bo);

    /**
     * 新增社保/公积金模板主
     */
    Boolean insertByBo(OaInsuranceTemplateBo bo);

    /**
     * 修改社保/公积金模板主
     */
    Boolean updateByBo(OaInsuranceTemplateBo bo);

    /**
     * 校验并批量删除社保/公积金模板主信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
